Students and Professor using technology to enable learning.

Supported Software

Below is the current level of support that the ITS staff can provide to end-users experiencing technical issues with Pace computer applications and web based systems. Software, systems, or applications that are not listed below are considered unsupported applications. ITS will make a concerted effort to provide assistance for unsupported applications.

Pace University maintains ‘enterprise software’ license agreements, which allow staff and faculty to use licensed software for work or personal business. To view a list of available licensed software, please visit the Licensed Software page.

Full Support (FS) Limited Support (LS)
Pace ITS staff will provide full support. Pace ITS staff will make a concerted effort to provide assistance, or will offer alternative resources if applicable.

Note: For all internal Pace Web-based systems, we recommend Mozilla Firefox. Please refer to the table below for more information on all compatible versions. All older and unlisted web browser versions are not currently supported.

Pace Web-Based Systems
Appserv Applications FS Mozilla Firefox 39 or Higher
FS Internet Explorer 11.0 or Higher

Banner 9 Admin Pages

Banner 8

FS Banner 9 Admin Pages: Google Chrome
FS Banner 8: Internet Explorer 11.0 or Higher
BI – Reporting Pyramid Analytics FS Mozilla Firefox 39 or Higher
FS Internet Explorer 11.0 or Higher

Blackboard

FS See full browser compatibility list
E-Procurement FS Mozilla Firefox 39 or Higher
FS Internet Explorer 11.0 or Higher
Finance Self-Service FS Mozilla Firefox 39 or Higher
FS Internet Explorer 11.0 or Higher

Kronos
Note: Kronos currently supports latest version of Java 8.

FS Mozilla Firefox 39 or Higher
FS Internet Explorer 11.0 or Higher
Pace University Homepage FS Mozilla Firefox 39 or Higher
FS Internet Explorer 11.0 or Higher

Performance Management and Development Program (PMDP)
Note: Works in compatibility mode.
 

FS Mozilla Firefox 39 or Higher
FS Internet Explorer 11.0 or Higher
Outlook Web App (OWA) FS Mozilla Firefox 39 or Higher
FS Internet Explorer 11.0 or Higher
People Admin FS Internet Explorer 11.0 or Higher
Portal FS Mozilla Firefox 39 or Higher
FS Internet Explorer 11.0 or Higher
Shibboleth FS Mozilla Firefox 39 or Higher
FS Internet Explorer 11.0 or Higher

 

Operating Systems
FS Windows 10
LS Windows 7/8.1
Note: Microsoft will end extended support for Windows 7 and Windows 8.1 on January 14th, 2020 and January 10, 2023, respectively. While ITS staff will continue to support 7 & 8.1 users until they are deemed “End of Life” by Microsoft, 3rd party program compatibility is not guaranteed. Windows RT is not supported.
FS Mac OS X 10.10 or Higher
Note: ITS recommends staying minimum one full version behind Apple’s latest operating system. (Ex. Latest: macOS Mojave, Minimum: macOS High Sierra)

 

Web Browsers
FS Mozilla Firefox
Note: Please refer to the Pace Web-Based Systems table above for specific versions supported by each system. Starting with version 52, Mozilla Firefox no longer supports NPAPI Plugins, including Java, Silverlight, Skype for Business and Adobe Acrobat.
FS Internet Explorer
Note: Please refer to the Pace Web-Based Systems table above for specific versions supported by each system.
FS Google Chrome
Note: Please refer to the Pace Web-Based Systems table above for specific versions supported by each system. Google Chrome no longer supports NPAPI Plugins.

 

Software for Educational/Office Use
FS Microsoft Office 2016 or Higher
FS Microsoft Skype for Business
FS Cisco AnyConnect
FS Acrobat Reader DC
FS Java 8
FS Pharos
LS Core FTP

Note: ITS does not recommend or support using IMAP or POP clients because they do not fully incorporate all the features of Exchange.

Email Client
FS Microsoft Outlook 2016 or Higher
FS Microsoft Outlook 2016 for Mac or Higher

 

Mobile Client on Exchange Email
FS Apple iOS Devices
FS Google Android Devices

Virtual Private Networking
FS Cisco AnyConnect VPN Supported on:
  • Mac OS X 10.10 or Higher
  • Windows 7 or Higher

 

Virus Protection
FS Microsoft Security Essentials

 

Wireless Network
FS PACE-WIFI/PACE-GUEST (Running on OS systems: Windows 7, Windows 8.1, Windows 10, Mac OS 10.6 and higher, Apple iOS 6 and higher, Android OS 4.1 and higher)